UNAME(1)

NAME
uname - print system information

SYNOPSIS
uname [OPTION]...

DESCRIPTION

Print certain system information. With no OPTION, same as -s.

-a, --all
    print all information, in the following order, except omit -p and -i if unknown

-s, --kernel-name
    print the kernel name

-n, --nodename
    print the network node hostname

-r, --kernel-release
    print the kernel release

-v, --kernel-version
    print the kernel version

-m, --machine
    print the machine hardware name

-p, --processor
    print the processor type (non-portable)

-i, --hardware-platform
    print the hardware platform (non-portable)

-o, --operating-system
    print the operating system

--help
    display this help and exit

--version
    output version information and exit

AUTHOR
Written by David MacKenzie.

REPORTING BUGS
Report bugs to: bug-coreutils@gnu.org
GNU coreutils home page: <https://www.gnu.org/software/coreutils/>
General help using GNU software: <https://www.gnu.org/gethelp/>
Report any translation bugs to <https://translationproject.org/team/>

SEE ALSO
arch(1), uname(2)

Full documentation <https://www.gnu.org/software/coreutils/uname>
or available locally via: info '(coreutils) uname invocation'

Packaged by Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.